Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.core.model
Class ServiceProvider

    java.lang.Object
      org.eclipse.lyo.oslc4j.core.model.AbstractResource
          org.eclipse.lyo.oslc4j.core.model.ServiceProvider

All Implemented Interfaces:
  IExtendedResource, IResource

    public class ServiceProvider

extends AbstractResource

Constructor Summary
`ServiceProvider()`

Method Summary
`void` | `addService(Service srvc)`
`Date` | `getCreated()`
`String` | `getDescription()`
`URI[]` | `getDetails()`
`String` | `getIdentifier()`
`OAuthConfiguration` | `getOauthConfiguration()`
`PrefixDefinition[]` | `getPrefixDefinitions()`
`Publisher` | `getPublisher()`
`Service[]` | `getServices()`
`String` | `getTitle()`
`void` | `setCreated(Date created)`
`void` | `setDescription(String description)`
`void` | `setDetails(URI[] details)`
`void` | `setIdentifier(String identifier)`
`void` | `setOauthConfiguration(OAuthConfiguration oauthConfiguration)`
`void` | `setPrefixDefinitions(PrefixDefinition[] prefixDefinitions)`
`void` | `setPublisher(Publisher publisher)`
`void` | `setServices(Service[] services)`
`void` | `setTitle(String title)`

Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource
`addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProvider

    public ServiceProvider()

Method Detail

### addService

    public void addService(Service srvc)

### getCreated

    public final Date getCreated()

### getDescription

    public String getDescription()

### getDetails

    public URI[] getDetails()

### getIdentifier

    public final String getIdentifier()

### getOauthConfiguration

    public OAuthConfiguration getOauthConfiguration()

### getPrefixDefinitions

    public PrefixDefinition[] getPrefixDefinitions()

### getPublisher

    public Publisher getPublisher()

### getServices

    public Service[] getServices()

### getTitle

    public String getTitle()

### setCreated

    public final void setCreated(Date created)

### setDescription

    public void setDescription(String description)

### setDetails

    public void setDetails(URI[] details)

### setIdentifier

    public final void setIdentifier(String identifier)

### setOauthConfiguration

    public void setOauthConfiguration(OAuthConfiguration oauthConfiguration)

### setPrefixDefinitions

    public void setPrefixDefinitions(PrefixDefinition[] prefixDefinitions)

### setPublisher

    public void setPublisher(Publisher publisher)

### setServices

    public void setServices(Service[] services)

### setTitle

    public void setTitle(String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.